TICKIT_STRING_GET(3)

NAME
tickit_string_get - obtain the characters from a counted string

SYNOPSIS
    #include <tickit.h>

    const char *tickit_string_get(const TickitString *s);

Link with -ltickit.

DESCRIPTION
tickit_string_get() returns a pointer to the actual stored character buffer within the counted string instance. This should be considered immutable; the caller must not modify this buffer.

RETURN VALUE
tickit_string_get() returns a NUL-terminated string pointer.

SEE ALSO
tickit_string_new(3), tickit_string_len(3), tickit_string(7), tickit(7)